<?php
/**
 * Premium Theme Options displayed in admin
 *
 * @package chromaticfw
 * @subpackage chromatic
 * @since chromatic 1.2
 * @return array Return ChromaticFw Options array to be merged to the original Options array
 */

$chromaticfw_options_premium = array();

$chromaticfw_options_premium[] = array(
		'std' => sprintf( __("%1sUpgrade to Chromatic Premium%2sIf you've enjoyed using Chromatic, you're going to love Chromatic Premium. It's a robust upgrade to Chromatic that gives you useful features.", 'chromaticfw'), '<h4 class="heading">', '</h4>' ) );

$chromaticfw_options_premium[] = array(
		'name' => __('Complete Style Customization', 'chromaticfw'),
		'desc' => __('Chromatic Premium lets you select different colors for different sections of your site.<hr>Assign different typography (fonts, text size, font color) to menu, topbar, content headings, sidebar, footer etc.', 'chromaticfw'),
		'img' => 'premium-style.jpg',
		);

$chromaticfw_options_premium[] = array(
		'name' => __('Unlimites Sliders, Unlimites Slides', 'chromaticfw'),
		'desc' => __('Chromatic Premium allows you to create unlimited sliders with as many slides as you need.<hr>You can use these sliders on your Homepage widgetized template, or add them anywhere using shortcodes - like in your Posts, Sidebars or Footer.', 'chromaticfw'),

		'img' => 'premium-sliders.jpg',
		);

$chromaticfw_options_premium[] = array(
		'name' => __('600+ Google Fonts', 'chromaticfw'),
		'desc' => __("With the integrated Google Fonts library, you can find the fonts that match your site's personality, and there's over 600 options to choose from.", 'chromaticfw'),
		'img' => 'premium-googlefonts.jpg',
		);

$chromaticfw_options_premium[] = array(
		'name' => __('Shortcodes with Easy Generator', 'chromaticfw'),
		'desc' => __('Enjoy the flexibility of using shortcodes throughout your site with Chromatic premium. These shortcodes were specially designed for this theme and are very well integrated into the code to reduce loading times, thereby maximizing performance!<hr>Use shortcodes to insert buttons, sliders, tabs, toggles, columns, breaks, icons, lists, and a lot more design and layout modules.<hr>The intuitive Shortcode Generator has been built right into the Edit screen, so you dont have to hunt for shortcode syntax.', 'chromaticfw'),
		'img' => 'premium-shortcodes.jpg',
		);

$chromaticfw_options_premium[] = array(
		'name' => __('Image Carousals', 'chromaticfw'),
		'desc' => __('Add carousals to your post, in your sidebar, on your frontpage or in your footer. A simple drag and drop interface allows you to easily create and manage carousals.', 'chromaticfw'),
		'img' => 'premium-carousals.jpg',
		);

$chromaticfw_options_premium[] = array(
		'name' => __("Floating 'Sticky' Header &amp; 'Goto Top' button (optional)", 'chromaticfw'),
		'desc' => __("The floating header follows the user down your page as they scroll, which means they never have to scroll back up to access your navigation menu, improving user experience.<hr>Or, use the 'Goto Top' button appears on the screen when users scroll down your page, giving them a quick way to go back to the top of the page.", 'chromaticfw'),
		'img' => 'premium-header-top.jpg',
		);

$chromaticfw_options_premium[] = array(
		'name' => __('3 Blog Layouts (including pinterest type mosaic)', 'chromaticfw'),
		'desc' => __('Chromatic Premium gives you the option to display your post archives in 3 different layouts including a mosaic type layout similar to pinterest.', 'chromaticfw'),
		'img' => 'premium-blogstyles.jpg',
		);

$chromaticfw_options_premium[] = array(
		'name' => __('Custom Widgets', 'chromaticfw'),
		'desc' => __('Custom widgets crafted and designed specifically for Chromatic Premium Theme to give you the flexibility of adding stylized content.', 'chromaticfw'),
		'img' => 'premium-widgets.jpg',
		);

$chromaticfw_options_premium[] = array(
		'name' => __('Menu Icons', 'chromaticfw'),
		'desc' => __('Select from over 500 icons for your main navigation menu links.', 'chromaticfw'),
		'img' => 'premium-menuicons.jpg',
		);

$chromaticfw_options_premium[] = array(
		'name' => __('Premium Background Patterns (CC0)', 'chromaticfw'),
		'desc' => __('Chromatic Premium comes with many additional premium background patterns. You can always upload your own background image/pattern to match your site design.', 'chromaticfw'),
		'img' => 'premium-backgrounds.jpg',
		);

$chromaticfw_options_premium[] = array(
		'name' => __('Automatic Image Lightbox and WordPress Gallery', 'chromaticfw'),
		'desc' => __('Automatically open image links on your site with the integrates lightbox in Chromatic Premium.<hr>Automatically convert standard WordPress galleries to beautiful lightbox gallery slider.', 'chromaticfw'),
		'img' => 'premium-lightbox.jpg',
		);

$chromaticfw_options_premium[] = array(
		'name' => __('Developers love {LESS}', 'chromaticfw'),
		'desc' => __('CSS is passe. Developers love the modularity and ease of using LESS, which is why Chromatic Premium comes with properly organized LESS files for the main stylesheet. You can even turn on less.js during development to increase productivity.', 'chromaticfw'),
		'img' => 'premium-lesscss.jpg',
		);

$chromaticfw_options_premium[] = array(
		'name' => __('Easy Import/Export', 'chromaticfw'),
		'desc' => __('Moving to a new host? Easily import/export your admin panel settings with just a few clicks - right from the backend.', 'chromaticfw'),
		'img' => 'premium-import-export.jpg',
		);

$chromaticfw_options_premium[] = array(
		'std' => sprintf( __("%1sCustom Javascript &amp; Google Analytics%2sEasily insert any javascript snippet to your header without modifying the code files. This helps in adding scripts for Google Analytics, Adsense or any other custom code.", 'chromaticfw'), '<h4 class="heading">', '</h4>' ) );

$chromaticfw_options_premium[] = array(
		'std' => sprintf( __("%1sCustom CSS%2sAdd custom CSS to your theme right from the backend. If you are not a developer yourself, you can count on our support staff to help you with CSS snippets to get the look you're after. Best of all, your changes will persist across theme updates.", 'chromaticfw'), '<h4 class="heading">', '</h4>' ) );

$chromaticfw_options_premium[] = array(
		'std' => sprintf( __("%1sContinued Updates%2sYou'll help support the continued development of Chromatic - ensuring it works with future versions of WordPress for years to come.", 'chromaticfw'), '<h4 class="heading">', '</h4>' ) );

$chromaticfw_options_premium[] = array(
		'name' => __('Premium Priority Support', 'chromaticfw'),
		'desc' => __('Need help setting up Chromatic? Upgrading to Chromatic Premium gives you prioritized forum support. We have a growing support team ready to help you with your questions.', 'chromaticfw'),
		'img' => 'premium-support.jpg',
		);

$chromaticfw_options_premium[] = array(
		'std' => '<a class="button button-primary button-buy-premium" href="http://wphoot.com/themes/chromatic/" target="_blank">' . __('Buy Now', 'chromaticfw') . '</a>', );

return $chromaticfw_options_premium;